hadoop-yarn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alejandro Abdelnur <t...@cloudera.com>
Subject [ACTION NEEDED]: protoc 2.5.0 in trunk/branch-2/branch-2.1-beta/branch-2.1.0-beta
Date Wed, 14 Aug 2013 23:03:41 GMT
Following up on this.

HADOOP-9845 & HADOOP-9872 have been committed
to trunk/branch-2/branch-2.1-beta/branch-2.1.0-beta.

All Hadoop developers must install protoc 2.5.0 in their development
machines for the build to run.

All Hadoop jenkins boxes are using protoc 2.5.0

The BUILDING.txt file has been updated to reflect that protoc 2.5.0 is the
required one and includes instructions on how to use a different protoc
from multiple local versions (using an ENV var). This may be handy for
folks working with Hadoop versions using protoc 2.4.1.

INTERIM SOLUTION IF YOU CANNOT UPGRADE TO PROTOC 2.5.0 IMMEDIATELY

Use the following option with all your Maven commands
 '-Dprotobuf.version=2.4.1'.

Note that this option will make the build use protoc and protobuf 2.4.1.

Though you should upgrade to 2.5.0 at the earliest.

As soon as we start using the new goodies from protobuf 2.5.0 (like the
non-copy bytearrays) 2.4.1 will not work anymore.

Thanks and apologies again for the noise through out this change.

-- 
Alejandro

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message